Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82665 - Lock-up on boot after INIT: version 2.84 booting
Summary: Lock-up on boot after INIT: version 2.84 booting
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i586
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-24 17:57 UTC by Bill
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-10-29 18:01:13 UTC


Attachments (Terms of Use)
dmesg (log file) (deleted)
2003-02-05 13:42 UTC, Bill
no flags Details
dmidecode file (deleted)
2003-02-05 23:57 UTC, Bill
no flags Details

Description Bill 2003-01-24 17:57:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; AT&T CSM6.0; 
Q312461; AT&T CSM7.0)

Description of problem:
Installed  version 8.0 in a new (second) 40GB hard drive.  Windows 2000P is on 
the first hard drive.  The system locks up completely during the boot process, 
after this point:

kjournald strating. Commit interval 5 seconds.
EXT3-FS: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 212k freed
INIT: version 2.84 booting

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start system
2.select Red Hat Linux 8.0
3.
    

Actual Results:  system locks up after screen displays INIT: version 2.84 
booting.  Have to manually turn off power to PC at this point

Expected Results:  system should have booted to Red Hat Linux 8.0

Additional info:

Comment 1 Arjan van de Ven 2003-01-24 18:34:39 UTC
can you try adding "apm=off" to the kernel commandline (use "a" in grub to add
this, and/or edit the /boot/grub/grub.conf file and add it to the vmlinuz line)

Comment 2 Bill 2003-01-25 00:21:14 UTC
the line prior to what I initially reported was:

Mounting root filesystem

I used the "a" in grub to add "apm=off", which the resulted in the following 
screen display (and lock-up):
Mounting root filesystem
kmod: failed to exec /sbin/modprobe -s -k block-major-8, erro = 2
mount: error 6 mount ext3
pivotroot: pivot_root9/sysroot,/sysroot/initrd) failed: 2
unmount /initrd/proc failed: 2
Freeing unused kernel memory: 212k freed
Kernel panic: No init found.  Try passing init= option to kernel.

also, unlike the first attempt, athe Num Lock and Caps Lock lights were 
flashing on the keyboard.


Comment 3 Bill 2003-01-30 18:15:04 UTC
Reference Additional Comment #2, the problem still exists.  Do you require any 
additional information from me, or do you have any other suggestions / a fix?

Comment 4 Arjan van de Ven 2003-01-30 18:18:41 UTC
now you actually get less far...
could you use the "e" key in grub and add apm=off to the vmlinuz line without
removing anything else?

Comment 5 Bill 2003-02-04 15:51:23 UTC
Reference your Comment #4, this worked, and the system now boots as expected.  
Thanks for your assistance.

Comment 6 Arjan van de Ven 2003-02-04 16:00:40 UTC
can you get me the output of the dmidecode program (part of the kernel-utils rpm)?
It will allow me to put your bios on the list of bioses with this bug so that
the workaround is automatic in the future ?

Comment 7 Bill 2003-02-05 13:42:36 UTC
Created attachment 89862 [details]
dmesg (log file)

per your last comment

Comment 8 Bill 2003-02-05 13:43:15 UTC
I can do that if you can tell me what the file names are that you need, and 
where they are located (I'm very new to Linux).  Attached is one of the log 
files I found, not sure if this is the one you are looking for.  During 
installation, I loaded all packages, and accepted the all default partions.

Comment 9 Arjan van de Ven 2003-02-05 13:58:35 UTC
type (as root)
dmidecode > /tmp/dmidecode

and then the file is /tmp/dmidecode

btw if you want to make the apm setting permanent, open the /boot/grub/grub.conf
file in an editor and append it to the line with vmlinuz in it.

Comment 10 Bill 2003-02-05 23:57:57 UTC
Created attachment 89875 [details]
dmidecode file

dmidecode file attached, per your instructions.

Comment 11 Arjan van de Ven 2003-02-06 13:38:53 UTC
thank you for the information. I've added your bios version to the list of
bioses that need to default to no APM for our next release.
Are you ok with closing this issue are resolved?

Comment 12 Bill 2003-02-06 18:01:19 UTC
Yes, I feel this should be closed, as my system boots and functions correctly, 
so this issue is resolved for me.

Thanks again for your assistance.


Note You need to log in before you can comment on or make changes to this bug.